//Molten Ultimate
onEvent('fluid.registry', event => {
	event.create('molten_ultimate')
		.textureStill('kubejs:fluid/molten_ultimate')
		.textureFlowing('kubejs:fluid/molten_ultimate')
    	.bucketColor(0xFF00C9)
    	.displayName('Molten Ultimate')
  		.luminosity(8)
})

//Molten Spacetime
onEvent('fluid.registry', event => {
	event.create('molten_spacetime')
		.textureStill('kubejs:fluid/molten_spacetime')
		.textureFlowing('kubejs:fluid/molten_spacetime')
    	.bucketColor(0x3D0067)
    	.displayName('Molten Spacetime')
  		.luminosity(8)
})

//Molten Starmetal
onEvent('fluid.registry', event => {
	event.create('molten_starmetal')
    	.textureThick(0x1D009E)
		color(0x1D009E)
    	.bucketColor(0x1D009E)
    	.displayName('Molten Starmetal')
  		.luminosity(8)
})

//Cosmic Waste
onEvent('fluid.registry', event => {
	event.create('cosmic_waste')
    	.textureThick(0x4F4F4F)
		color(0x4F4F4F)
    	.bucketColor(0x4F4F4F)
    	.displayName('Cosmic Waste')
  		.luminosity(8)
})

//Molten Iron
onEvent('fluid.registry', event => {
	event.create('molten_iron')
    	.textureThick(0xB52020)
		color(0xB52020)
    	.bucketColor(0xB52020)
    	.displayName('Molten Iron')
  		.luminosity(8)
})

//Molten Gold
onEvent('fluid.registry', event => {
	event.create('molten_gold')
    	.textureThick(0xEFF521)
		color(0xEFF521)
    	.bucketColor(0xEFF521)
    	.displayName('Molten Gold')
  		.luminosity(8)
})

//Molten Diamond
onEvent('fluid.registry', event => {
	event.create('molten_diamond')
    	.textureThick(0x81F4FF)
		color(0x81F4FF)
    	.bucketColor(0x81F4FF)
    	.displayName('Molten Diamond')
  		.luminosity(8)
})

//Molten Emerald
onEvent('fluid.registry', event => {
	event.create('molten_emerald')
    	.textureThick(0x2AE733)
		color(0x2AE733)
    	.bucketColor(0x2AE733)
    	.displayName('Molten Emerald')
  		.luminosity(8)
})

//Molten Netherite
onEvent('fluid.registry', event => {
	event.create('molten_netherite')
    	.textureThick(0x1E1E1E)
		color(0x1E1E1E)
    	.bucketColor(0x1E1E1E)
    	.displayName('Molten Netherite')
  		.luminosity(8)
})

//Molten Energised Gold Alloy
onEvent('fluid.registry', event => {
	event.create('molten_energised_gold_alloy')
    	.textureThick(0xfc9b31)
		color(0xfc9b31)
    	.bucketColor(0xfc9b31)
    	.displayName('Molten Energised Gold Alloy')
  		.luminosity(8)
})

//Molten Netherite-Starmetal Alloy
onEvent('fluid.registry', event => {
	event.create('molten_netherite_starmetal_alloy')
    	.textureThick(0x3D3A57)
		color(0x3D3A57)
    	.bucketColor(0x3D3A57)
    	.displayName('Molten Netherite-Starmetal Alloy')
  		.luminosity(8)
})

//Molten Briliant Diamond
onEvent('fluid.registry', event => {
	event.create('molten_briliant_diamond')
    	.textureThick(0xC0FAFF)
		color(0xC0FAFF)
    	.bucketColor(0xC0FAFF)
    	.displayName('Molten Briliant Diamond')
  		.luminosity(8)
})

//Molten Briliant Emerald
onEvent('fluid.registry', event => {
	event.create('molten_briliant_emerald')
    	.textureThick(0x9BE79B)
		color(0x9BE79B)
    	.bucketColor(0x9BE79B)
    	.displayName('Molten Briliant Emerald')
  		.luminosity(8)
})